irc-0.5.1.0: A small library for parsing IRC messages.

Safe Haskell | Safe-Inferred

Network.IRC.Commands

Contents

- Types
- IRC Functions

Synopsis

- type Channel = String
- type Password = String
- nick :: UserName -> Message
- user :: UserName -> ServerName -> ServerName -> RealName -> Message
- joinChan :: Channel -> Message
- part :: Channel -> Message
- quit :: Maybe String -> Message
- privmsg :: String -> String -> Message
- kick :: Channel -> UserName -> Maybe Reason -> Message

# Types

type Channel = String Source

type Password = String Source

# IRC Functions

nick :: UserName -> Message Source

user :: UserName -> ServerName -> ServerName -> RealName -> Message Source

joinChan :: Channel -> Message Source

part :: Channel -> Message Source

quit :: Maybe String -> Message Source

privmsg :: String -> String -> Message Source

kick :: Channel -> UserName -> Maybe Reason -> Message Source